# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'redify/version'

Gem::Specification.new do |spec|
  spec.name          = "redify"
  spec.version       = Redify::VERSION
  spec.authors       = ["Paulo Procopiou"]
  spec.email         = ["pana.esquivel@gmail.com"]
  spec.description   = %q{Redis layer for ActiveRecord models}
  spec.summary       = %q{Adds a Redis layer to some ActiveRecord finders}
  spec.homepage      = "https://github.com/pauloddr/redify"
  spec.license       = "MIT"

  spec.cert_chain  = ['pauloddr-public.pem']
  spec.signing_key = File.expand_path("~/.gemcert/pauloddr-private.pem")

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "redis"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "simplecov"
 
  spec.add_runtime_dependency "activesupport", "~> 3.0"
  spec.add_runtime_dependency "activerecord", "~> 3.0"
  

end
