require 'active_record'

ActiveRecord::Base.establish_connection :adapter => "sqlite3", :database => ":memory:"

ActiveRecord::Migration.verbose = false

ActiveRecord::Migration.create_table :users do |t|
  t.string   :name
  t.integer  :post_count
  t.datetime :created_at, :null => false
  t.datetime :updated_at, :null => false
end

ActiveRecord::Migration.create_table :posts do |t|
  t.integer  :user_id
  t.string   :title
  t.text     :content
  t.datetime :created_at, :null => false
  t.datetime :updated_at, :null => false
end

# This table won't use Redify
ActiveRecord::Migration.create_table :dummies do |t|
  t.string   :name
  t.integer  :user_id
  t.datetime :created_at, :null => false
  t.datetime :updated_at, :null => false
end